Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 633668 - net-mail/isync-1.2.2 : socket.c:(.text+<snip>): undefined reference to X509_OBJECT_get0_X509
Summary: net-mail/isync-1.2.2 : socket.c:(.text+<snip>): undefined reference to X509_O...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2017-10-07 07:43 UTC by Toralf Förster
Modified: 2020-03-28 21:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,19.87 KB, text/plain)
2017-10-07 07:43 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,510.16 KB, text/plain)
2017-10-07 07:43 UTC, Toralf Förster
Details
environment (environment,19.84 KB, text/plain)
2017-10-07 07:43 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,51.92 KB, application/x-bzip)
2017-10-07 07:43 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.66 KB, application/x-bzip)
2017-10-07 07:43 UTC, Toralf Förster
Details
net-mail:isync-1.2.2:20171007-030848.log (net-mail:isync-1.2.2:20171007-030848.log,9.04 KB, text/plain)
2017-10-07 07:44 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,9.25 KB, application/x-bzip)
2017-10-07 07:44 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-10-07 07:43:41 UTC
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -Wall -pipe -W -Wall -Wshadow -Wstrict-prototypes -ansi -pedantic -Wno-overlength-strings  -Wl,-O1 -Wl,--as-needed  -o mbsync main.o sync.o config.o util.o socket.o driver.o drv_imap.o drv_maildir.o -ldb -lssl -lcrypto -lnsl  -lz 
socket.o: In function `start_tls_p2':
socket.c:(.text+0x9b8): undefined reference to `X509_OBJECT_get0_X509'
socket.o: In function `socket_start_tls':
socket.c:(.text+0x11b4): undefined reference to `X509_STORE_get0_objects'
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop_libressl_20170914-215948

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 7.2.6.11 [icedtea-7]
2)	IcedTea JDK 7.2.6.11 [icedtea-bin-7]
3)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-7  system-vm
  [2]   icedtea-bin-7 
  [3]   icedtea-bin-8 

emerge -qpv net-mail/isync
[ebuild  N    ] net-mail/isync-1.2.2  USE="libressl ssl zlib -compat -sasl"
Comment 1 Toralf Förster gentoo-dev 2017-10-07 07:43:44 UTC
Created attachment 497952 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-10-07 07:43:48 UTC
Created attachment 497954 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-10-07 07:43:51 UTC
Created attachment 497956 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-10-07 07:43:54 UTC
Created attachment 497958 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-10-07 07:43:57 UTC
Created attachment 497960 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-10-07 07:44:00 UTC
Created attachment 497962 [details]
net-mail:isync-1.2.2:20171007-030848.log
Comment 7 Toralf Förster gentoo-dev 2017-10-07 07:44:03 UTC
Created attachment 497964 [details]
temp.tbz2
Comment 8 Toffanin 2017-12-11 16:32:17 UTC
FreeBSD has a working patch: https://bz-attachments.freebsd.org/attachment.cgi?id=185376

I'm using it with isync-1.3.0 and SSL/TLS authentication is working as excepted.
Comment 9 Andreas K. Hüttel gentoo-dev 2020-03-28 21:48:13 UTC
This is fixed in 1.3.1